Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Interface CategoryDefinition

All Superinterfaces
  Serializable

All Known Implementing Classes:
  PortalDefinition, PortletCategoryDefinition

    public interface CategoryDefinition

extends Serializable

Category marker interface.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `CategoryDefinition` based on the locale of the request used for retrieving the `CategoryDefinition`.
`boolean` | `isRoot()` Determines if the category is a root category.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets `LocalizationResource` for this `CategoryDefinition`.

Method Detail

### getLocalizationResource

    LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `CategoryDefinition` based on the locale of the request used for retrieving the `CategoryDefinition`.

  Returns
    `LocalizationResource` associated with this category

### setLocalizationResource

    void setLocalizationResource(LocalizationResource localizationResource)

  Sets `LocalizationResource` for this `CategoryDefinition`.

  Parameters
    `localizationResource` -

### isRoot

    boolean isRoot()

  Determines if the category is a root category.

  Returns
    `true` if this category is the root

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.